# GetAuditLogReport

Retrieve a single audit log report

`GET /api/v2/reports/exportauditlogs/{id}`

**API:** AvaTax API
**Tag:** Reports
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Reports/GetAuditLogReport/

## Description

Retrieve a single audit log report by its unique ID number.
            
Reports are run on the server.  When complete, the report file will be available for download
for up to 30 days after completion.  To run a report, you should follow these steps:
            
* Begin a report by calling the report's ExportAuditLogs API.
* In the result of the ExportAuditLogs API, you receive back a report's `id` value.
* Check the status of a report by calling `GetAuditLogReport` and passing in the report's `id` value.
* When a report's status is `Completed`, call `DownloadAuditLogReport` to retrieve the file.
            
This API call returns information about audit log report types.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ProStoresOperator, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The unique ID number of the report to retrieve |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ReportAuditLogResponseModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

### 200 Response: `ReportAuditLogResponseModel`

A model for displaying audit log report task metadata

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique identifier of the report task Example: `1`. |
| `accountId` | integer | No | The account id associated with the report Example: `12345`. |
| `parameters` | ReportAuditLogParametersModel | No | The parameters used to build the report |
| `status` | string | No | The current status of the report building task Example: `InQueue`. |
| `size` | integer | No | The size of the report file, if available |
| `format` | string | No | The format of the report file Example: `CSV`. |
| `file` | string | No | The name of the report file, if available |
| `createdDate` | string | No | The time when the report task was initiated Example: `2026-07-02T00:00:00+00:00`. |
| `createdUserId` | integer | No | The Id of the user who initiated this task Example: `12345`. |
| `createdUser` | string | No | The userName of the user who initiated the report task |
| `completedDate` | string | No | The time when the report was finished building, if completed |
| `reportSource` | string | No | The source of the report Example: `AUDITLOGS`. |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/reports/exportauditlogs/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```